# Uses of Class
javax.swing.undo.CannotRedoException

Packages that use CannotRedoException
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.undo
Allows developers to provide support for undo/redo in applications such as text editors.

## Uses of CannotRedoException in javax.swing.text

Methods in javax.swing.text that throw CannotRedoException
Modifier and Type
Method
Description
`void`
AbstractDocument.DefaultDocumentEvent.`redo()`
Redoes a change.
`void`
AbstractDocument.ElementEdit.`redo()`
Redoes a change.
`void`
DefaultStyledDocument.AttributeUndoableEdit.`redo()`
Redoes a change.

## Uses of CannotRedoException in javax.swing.undo

Methods in javax.swing.undo that throw CannotRedoException
Modifier and Type
Method
Description
`void`
AbstractUndoableEdit.`redo()`
Throws `CannotRedoException` if `canRedo` returns false.
`void`
CompoundEdit.`redo()`
Sends `redo` to all contained `UndoableEdit`s in the order in which they were added.
`void`
UndoableEdit.`redo()`
Re-applies the edit.
`void`
UndoManager.`redo()`
Redoes the appropriate edits.
`protected void`
UndoManager.`redoTo(UndoableEdit edit)`
Redoes all changes from the index of the next edit to `edit`, updating the index of the next edit appropriately.
`void`
UndoManager.`undoOrRedo()`
Convenience method that invokes one of `undo` or `redo`.